Bug 98994 - quotacheck consumes 99.9% CPU usage
quotacheck consumes 99.9% CPU usage
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: quota (Show other bugs)
2.1
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Amit Gud
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-11 10:38 EDT by dnd
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 12:16:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dnd 2003-07-11 10:38:14 EDT
Description of problem:
Customer tried to implement quota on a filesystem, but he gets several error messages or hangs while using the commands. Installed 
kernel 2.4.18-e.12smp is quota enabled, tools are from the RHAS2.1 
distribution (version is quota-3.01pre9-3). Quota filesystem is 
correctly entered in /etc/fstab.

quotaon shows error: [...] Invalid argument. quotaoff shows nothing. 
quotacheck hangs indefinetely (with 99.9% CPU in top). convertquota 
does not work, can't find the correct files. All in all, quota-tools 
are a mess. Could reproduce the same behavior on a test system zx2600 
using a 1GB ext2 filesystem on a second internal disk.

I tested the current sources (version 3.09) from SourceForge 
(http://sourceforge.net/projects/linuxquota/) and it worked without a 
glitch. Customer tested them, too, and the tools are ok.

The customer requires an "official" RPM from RedHat (and this is also what we need to support his system) to fix this bug.


Version-Release number of selected component (if applicable):
quota-3.01pre9-3

How reproducible:


Steps to Reproduce:
1 .quotaoff -aguv /

2. [root@netuxipf root]# quotacheck -avugm
quotacheck: WARNING -  Quotafile //aquota.user was probably truncated. Can't save quota settings...
quotacheck: Scanning /dev/sda3 [/] |   <<< Appears to hang!!

3. ...and "top" shows:

  5:20pm  up 14 min,  2 users,  load average: 0.99, 0.79, 0.39
53 processes: 51 sleeping, 2 running, 0 zombie, 0 stopped
CPU0 states: 100.0% user,  0.0% system,  0.0% nice,  0.0% idle
CPU1 states:  0.2% user,  0.6% system,  0.0% nice, 99.2% idle
Mem:  3088624K av,  190512K used, 2898112K free,       0K shrd,   20768K buff
Swap: 1023968K av,       0K used, 1023968K free                   53952K cached

  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME COMMAND
 1374 root      25   0  2096 2096  1648 R    99.9  0.0   7:44 quotacheck
...

[root@netuxipf root]# ps -ef | grep quota
root      1374  1253 99 17:12 pts/0    00:06:53 quotacheck -avug /mnt/test
  
    
Actual results:
Performed a test to submit data for Red Hat bugzilla report:

[root@netuxipf root]# df -hT
Filesystem    Type    Size  Used Avail Use% Mounted on
/dev/sda3     ext3     11G  7.3G  3.7G  67% /
/dev/sda1     vfat    100M   22M   78M  22% /boot/efi
none         tmpfs    1.5G     0  1.4G   0% /dev/shm
/dev/sda6     ext3     96M  4.1M   86M   5% /mnt/test

[root@netuxipf root]# quotaoff -aguv /mnt/test
/dev/sda6 [/mnt/test]: user quotas turned off

[root@netuxipf root]# quotacheck -avug /mnt/test
quotacheck: WARNING -  Quotafile /mnt/test/aquota.user was probably truncated. 
Can't save quota settings...
quotacheck: Scanning /dev/sda6 [/mnt/test] |  

...and "top" shows:

  5:20pm  up 14 min,  2 users,  load average: 0.99, 0.79, 0.39
53 processes: 51 sleeping, 2 running, 0 zombie, 0 stopped
CPU0 states: 100.0% user,  0.0% system,  0.0% nice,  0.0% idle
CPU1 states:  0.2% user,  0.6% system,  0.0% nice, 99.2% idle
Mem:  3088624K av,  190512K used, 2898112K free,       0K shrd,   20768K buff
Swap: 1023968K av,       0K used, 1023968K free                   53952K cached

  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME COMMAND
 1374 root      25   0  2096 2096  1648 R    99.9  0.0   7:44 quotacheck
...


[root@netuxipf root]# ps -ef | grep quota
root      1374  1253 99 17:12 pts/0    00:06:53 quotacheck -avug /mnt/test

[root@netuxipf root]# cat /etc/redhat-release
Red Hat Linux Advanced Server release 2.1AS (Derry)

[root@netuxipf root]# uname -a
Linux netuxipf 2.4.18-e.31smp #1 SMP Wed May 21 17:47:59 EDT 2003 ia64 unknown

[root@netuxipf root]# rpm -qa | grep quota
quota-3.01pre9-3


Expected results:
=> Executing "quotacheck -avug /mnt/test" should _NOT_ consume 100% CPU usage.


Additional info:
=> There is no RHAS2.1 errata update for "quota-3.01pre9-3" and this 
corresponds to RH7.2, though the 'consumer' releases of RH7.x and RH8.0 and RH9 have newer "quota" releases. The latest 
"quota" for RH9 release is "quota-3.06-9". I've tested RH8.0/ia32 (quota-3.06-5) and its seems to work just fine.
Comment 2 Giuseppe Raimondi 2003-11-12 04:56:11 EST
Any news on this one?

Note You need to log in before you can comment on or make changes to this bug.